#!/usr/bin/python
"""
My first module
"""
import sys;
import os;

from os.path import join;

# mkdir someplace/fips
# setenv PYTHONPATH somplace
# import fips

# ----------------------------------------------------------
def myfindfpxml(top,xmllist):
  "MyfindfpXML(top,xmllist)"
  for (root, dirs, files) in os.walk(top):
    for f in files:
      if(f == "fips-process.xml"):
        fpath = join(root, f);
        print "%s" % (fpath);
        xmllist.append(fpath);
      #endif
    #end for f
    for d in dirs:
      dpath = join(root, d);
      if(os.path.islink(dpath)):
        print "recursive %s" % dpath;
        xmllist = myfindfpxml(dpath,xmllist);
        #xmllist.append(xmllisttmp);
      #endif
    #end for d

  #end for walk
  return xmllist;
#end def  

#------------------ main ----------------------------
if __name__ == '__main__':
  top = sys.argv[1];

  xmllist = myfindfpxml(top,[]);

  print "Found %d xml files" % (len(xmllist));

  for xml in xmllist:
    print "%s" % (xml);
  #end for xml
  sys.exit(1);
#end if  
