#!/usr/bin/perl 


###############################################################################################################
#	Dependencies:
#		XML::XPath - SRB@/home/dkeator@uci-bic/NonHumanPhantomScript/XML
#
# Authors: 	David Keator (dbkeator@uci.edu)
#		Syam Gadde (gadde@biac.duke.edu)
#		
# Revision History
#
###############################################################################################################


use XML::DOM;
use XML::XQL;
use XML::XQL::DOM;

use FindBin qw($RealDir);
use lib "$RealDir";
use XML::XPath;
use XML::XPath::XMLParser;


my $parser = XML::XPath->new(filename => shift);
$path = shift;

$temp = join(":\n", map { $_->string_value() } $parser->findnodes($path));
print $temp, "\n";


