#!/usr/bin/python
# docs.python.org/lib/module-xml.dom.html
# pyxml.sourceforge.net/topics/howto/xml-howto.html
#
import sys;
import os;
import os.path;
import xml.dom;
from xml.dom.ext.reader import Sax2
from xml.dom.ext import PrettyPrint;

if(os.environ.get('FIPS_HOME',0) == 0):
  print "ERROR:  FIPS_HOME not defined";
  sys.exit(1);
#endif  
FIPS_HOME = os.environ['FIPS_HOME'];
fipsdbfile = os.path.join(FIPS_HOME,"fipsdb.xml");
reader = Sax2.Reader();

print "Loading";
(ut, st, cut, cst, et0) = os.times();
fipsdb = reader.fromStream(fipsdbfile);
(ut, st, cut, cst, et) = os.times();
dt = et-et0;
print "dt = %g" % (dt);
