function sch = fb3wmsch

%   6.000  6  16.000  1.0000 sch_scrambled.txt
%  22.000  3  16.000  1.0000 sch_encode.txt
%  38.000  1  16.000  1.0000 sch_distractor_emotional.txt
%  54.000  4  16.000  1.0000 sch_retrieval_emotional.txt
%  70.000  6  16.000  1.0000 sch_scrambled.txt
%  86.000  3  16.000  1.0000 sch_encode.txt
% 102.000  1  16.000  1.0000 sch_distractor_emotional.txt
% 118.000  4  16.000  1.0000 sch_retrieval_emotional.txt
% 134.000  6  16.000  1.0000 sch_scrambled.txt
% 150.000  3  16.000  1.0000 sch_encode.txt
% 166.000  2  16.000  1.0000 sch_distractor_neutral.txt
% 182.000  5  16.000  1.0000 sch_retrieval_neutral.txt
% 198.000  6  16.000  1.0000 sch_scrambled.txt
% 214.000  3  16.000  1.0000 sch_encode.txt
% 230.000  2  16.000  1.0000 sch_distractor_neutral.txt
% 246.000  5  16.000  1.0000 sch_retrieval_neutral.txt
% 262.000  6  16.000  1.0000 sch_scrambled.txt

Scrambled  = [  6.0   70.0  134.0  198.0  262.0 ]';
Encode     = [ 22.0   86.0  150.0  214.0 ];
Distractor = [ 38.0  102.0  166.0  230.0 ]';
Probe      = [ 54.0  118.0  182.0  246.0 ]';

TR = 2;
ntp = 142;
t = TR*[0:ntp-1]';

tscr = [];
for n = 0:7
  tscr = [tscr Scrambled+n*2];
end
tscr = tscr(:);
indscr = round(tscr/TR);
scr = zeros(ntp,1);
scr(indscr) = 1;

tdist = [];
for n = 0:7
  tdist = [tdist Distractor+n*2];
end
tdist = tdist(:);
inddist = round(tdist/TR);
dist = zeros(ntp,1);
dist(inddist) = 1;

tencode = [];
for n = 0:7
  tencode = [tencode Encode+n*2];
end
tencode = tencode(:);
indencode = round(tencode/TR);
encode = zeros(ntp,1);
encode(indencode) = 1;

tprobe = [];
for n = 0:7
  tprobe = [tprobe Probe+n*2];
end
tprobe = tprobe(:);
indprobe = round(tprobe/TR);
probe = zeros(ntp,1);
probe(indprobe) = 1;

sch = [scr encode dist probe];

return;

